Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.graph
Interface GraphConstants

All Known Subinterfaces:
  GraphConstants

All Known Implementing Classes:
  JUGraphBinding

public interface GraphConstants

Field Summary
`static int` | `BUBBLE_CHART`
`static int` | `BUBBLE_CHART_DUAL_AXIS`
`static int` | `BUBBLE_CHART_LABELS`
`static int` | `BUBBLE_CHART_LABELS_DUAL_AXIS`
`static int` | `CANDLE_STOCK_HI_LO_OPEN_CLOSE`
`static int` | `CANDLE_STOCK_HI_LO_OPEN_CLOSE_VOLUME`
`static int` | `HORIZONTAL_ABSOLUTE_AREA`
`static int` | `HORIZONTAL_ABSOLUTE_LINE`
`static int` | `HORIZONTAL_BI_POLAR_ABSOLUTE_AREA`
`static int` | `HORIZONTAL_BI_POLAR_ABSOLUTE_LINE`
`static int` | `HORIZONTAL_BI_POLAR_CLUSTERED_BARS`
`static int` | `HORIZONTAL_BI_POLAR_STACKED_AREA`
`static int` | `HORIZONTAL_BI_POLAR_STACKED_BARS`
`static int` | `HORIZONTAL_BI_POLAR_STACKED_LINE`
`static int` | `HORIZONTAL_CLUSTERED_BARS`
`static int` | `HORIZONTAL_DUAL_AXIS_ABSOLUTE_LINE`
`static int` | `HORIZONTAL_DUAL_AXIS_CLUSTERED_BARS`
`static int` | `HORIZONTAL_DUAL_AXIS_STACKED_BARS`
`static int` | `HORIZONTAL_DUAL_AXIS_STACKED_LINE`
`static int` | `HORIZONTAL_HISTOGRAM`
`static int` | `HORIZONTAL_PERCENT_AREA`
`static int` | `HORIZONTAL_PERCENT_BARS`
`static int` | `HORIZONTAL_PERCENT_LINE`
`static int` | `HORIZONTAL_STACKED_AREA`
`static int` | `HORIZONTAL_STACKED_BARS`
`static int` | `HORIZONTAL_STACKED_LINE`
`static int` | `MULTI_PIE`
`static int` | `MULTI_PROPORTIONAL_PIE`
`static int` | `MULTI_PROPORTIONAL_RING_PIE`
`static int` | `MULTI_RING_PIE`
`static int` | `OPEN_HI_LO_CLOSE_CANDLE_STOCK_CHART`
`static int` | `OPEN_HI_LO_CLOSE_CANDLE_STOCK_CHART_VOLUME`
`static int` | `PIE`
`static int` | `PIE_BAR_CHART`
`static int` | `POLAR`
`static int` | `POLAR_DUAL_AXIS`
`static int` | `RADAR_AREA`
`static int` | `RADAR_LINE`
`static int` | `RADAR_LINE_DUAL_AXIS`
`static int` | `RING_PIE`
`static int` | `RING_PIE_BAR_CHART`
`static int` | `SPECTRAL_MAP`
`static int` | `STOCK_HI_LO`
`static int` | `STOCK_HI_LO_BI_POLAR`
`static int` | `STOCK_HI_LO_CLOSE`
`static int` | `STOCK_HI_LO_CLOSE_DUAL_AXIS`
`static int` | `STOCK_HI_LO_DUAL_AXIS`
`static int` | `STOCK_HI_LO_OPEN_CLOSE`
`static int` | `STOCK_HI_LO_OPEN_CLOSE_BI_POLAR`
`static int` | `STOCK_HI_LO_OPEN_CLOSE_DUAL_AXIS`
`static int` | `STOCK_HI_LO_OPEN_CLOSE_VOLUME`
`static int` | `STOCK_HI_LO_VOLUME`
`static int` | `THREED_BARS`
`static int` | `THREED_FLOATING_CONNECTED_GROUP_AREA`
`static int` | `THREED_FLOATING_CONNECTED_GROUP_RIBBON`
`static int` | `THREED_FLOATING_CONNECTED_SERIES_AREA`
`static int` | `THREED_FLOATING_CONNECTED_SERIES_RIBBON`
`static int` | `THREED_FLOATING_CUBES`
`static int` | `THREED_FLOATING_PYRAMIDS`
`static int` | `THREED_HONEYCOMB_SURFACE`
`static int` | `THREED_OCTAGONS`
`static int` | `THREED_PYRAMIDS`
`static int` | `THREED_SURFACE`
`static int` | `THREED_SURFACE_WITH_SIDES`
`static int` | `VERTICAL_ABSOLUTE_AREA`
`static int` | `VERTICAL_ABSOLUTE_LINE`
`static int` | `VERTICAL_BI_POLAR_ABSOLUTE_AREA`
`static int` | `VERTICAL_BI_POLAR_ABSOLUTE_LINE`
`static int` | `VERTICAL_BI_POLAR_CLUSTERED_BARS`
`static int` | `VERTICAL_BI_POLAR_STACKED_AREA`
`static int` | `VERTICAL_BI_POLAR_STACKED_BARS`
`static int` | `VERTICAL_BI_POLAR_STACKED_LINE`
`static int` | `VERTICAL_CLUSTERED_BARS`
`static int` | `VERTICAL_DUAL_AXIS_ABSOLUTE_LINE`
`static int` | `VERTICAL_DUAL_AXIS_CLUSTERED_BARS`
`static int` | `VERTICAL_DUAL_AXIS_STACKED_BARS`
`static int` | `VERTICAL_DUAL_AXIS_STACKED_LINE`
`static int` | `VERTICAL_HISTOGRAM`
`static int` | `VERTICAL_PERCENT_AREA`
`static int` | `VERTICAL_PERCENT_BARS`
`static int` | `VERTICAL_PERCENT_LINE`
`static int` | `VERTICAL_STACKED_AREA`
`static int` | `VERTICAL_STACKED_BARS`
`static int` | `VERTICAL_STACKED_LINE`
`static int` | `XY_SCATTER`
`static int` | `XY_SCATTER_DUAL_AXIS`
`static int` | `XY_SCATTER_WITH_LABELS`
`static int` | `XY_SCATTER_WITH_LABELS_DUAL_AXIS`

Field Detail

### THREED_BARS

    public static final int THREED_BARS

  See Also:
    Constant Field Values

### THREED_PYRAMIDS

    public static final int THREED_PYRAMIDS

  See Also:
    Constant Field Values

### THREED_OCTAGONS

    public static final int THREED_OCTAGONS

  See Also:
    Constant Field Values

### THREED_FLOATING_CUBES

    public static final int THREED_FLOATING_CUBES

  See Also:
    Constant Field Values

### THREED_FLOATING_PYRAMIDS

    public static final int THREED_FLOATING_PYRAMIDS

  See Also:
    Constant Field Values

### THREED_FLOATING_CONNECTED_SERIES_AREA

    public static final int THREED_FLOATING_CONNECTED_SERIES_AREA

  See Also:
    Constant Field Values

### THREED_FLOATING_CONNECTED_SERIES_RIBBON

    public static final int THREED_FLOATING_CONNECTED_SERIES_RIBBON

  See Also:
    Constant Field Values

### THREED_FLOATING_CONNECTED_GROUP_AREA

    public static final int THREED_FLOATING_CONNECTED_GROUP_AREA

  See Also:
    Constant Field Values

### THREED_FLOATING_CONNECTED_GROUP_RIBBON

    public static final int THREED_FLOATING_CONNECTED_GROUP_RIBBON

  See Also:
    Constant Field Values

### THREED_SURFACE

    public static final int THREED_SURFACE

  See Also:
    Constant Field Values

### THREED_SURFACE_WITH_SIDES

    public static final int THREED_SURFACE_WITH_SIDES

  See Also:
    Constant Field Values

### THREED_HONEYCOMB_SURFACE

    public static final int THREED_HONEYCOMB_SURFACE

  See Also:
    Constant Field Values

### VERTICAL_CLUSTERED_BARS

    public static final int VERTICAL_CLUSTERED_BARS

  See Also:
    Constant Field Values

### VERTICAL_STACKED_BARS

    public static final int VERTICAL_STACKED_BARS

  See Also:
    Constant Field Values

### VERTICAL_DUAL_AXIS_CLUSTERED_BARS

    public static final int VERTICAL_DUAL_AXIS_CLUSTERED_BARS

  See Also:
    Constant Field Values

### VERTICAL_DUAL_AXIS_STACKED_BARS

    public static final int VERTICAL_DUAL_AXIS_STACKED_BARS

  See Also:
    Constant Field Values

### VERTICAL_BI_POLAR_CLUSTERED_BARS

    public static final int VERTICAL_BI_POLAR_CLUSTERED_BARS

  See Also:
    Constant Field Values

### VERTICAL_BI_POLAR_STACKED_BARS

    public static final int VERTICAL_BI_POLAR_STACKED_BARS

  See Also:
    Constant Field Values

### VERTICAL_PERCENT_BARS

    public static final int VERTICAL_PERCENT_BARS

  See Also:
    Constant Field Values

### HORIZONTAL_CLUSTERED_BARS

    public static final int HORIZONTAL_CLUSTERED_BARS

  See Also:
    Constant Field Values

### HORIZONTAL_STACKED_BARS

    public static final int HORIZONTAL_STACKED_BARS

  See Also:
    Constant Field Values

### HORIZONTAL_DUAL_AXIS_CLUSTERED_BARS

    public static final int HORIZONTAL_DUAL_AXIS_CLUSTERED_BARS

  See Also:
    Constant Field Values

### HORIZONTAL_DUAL_AXIS_STACKED_BARS

    public static final int HORIZONTAL_DUAL_AXIS_STACKED_BARS

  See Also:
    Constant Field Values

### HORIZONTAL_BI_POLAR_CLUSTERED_BARS

    public static final int HORIZONTAL_BI_POLAR_CLUSTERED_BARS

  See Also:
    Constant Field Values

### HORIZONTAL_BI_POLAR_STACKED_BARS

    public static final int HORIZONTAL_BI_POLAR_STACKED_BARS

  See Also:
    Constant Field Values

### HORIZONTAL_PERCENT_BARS

    public static final int HORIZONTAL_PERCENT_BARS

  See Also:
    Constant Field Values

### VERTICAL_ABSOLUTE_AREA

    public static final int VERTICAL_ABSOLUTE_AREA

  See Also:
    Constant Field Values

### VERTICAL_STACKED_AREA

    public static final int VERTICAL_STACKED_AREA

  See Also:
    Constant Field Values

### VERTICAL_BI_POLAR_ABSOLUTE_AREA

    public static final int VERTICAL_BI_POLAR_ABSOLUTE_AREA

  See Also:
    Constant Field Values

### VERTICAL_BI_POLAR_STACKED_AREA

    public static final int VERTICAL_BI_POLAR_STACKED_AREA

  See Also:
    Constant Field Values

### VERTICAL_PERCENT_AREA

    public static final int VERTICAL_PERCENT_AREA

  See Also:
    Constant Field Values

### HORIZONTAL_ABSOLUTE_AREA

    public static final int HORIZONTAL_ABSOLUTE_AREA

  See Also:
    Constant Field Values

### HORIZONTAL_STACKED_AREA

    public static final int HORIZONTAL_STACKED_AREA

  See Also:
    Constant Field Values

### HORIZONTAL_BI_POLAR_ABSOLUTE_AREA

    public static final int HORIZONTAL_BI_POLAR_ABSOLUTE_AREA

  See Also:
    Constant Field Values

### HORIZONTAL_BI_POLAR_STACKED_AREA

    public static final int HORIZONTAL_BI_POLAR_STACKED_AREA

  See Also:
    Constant Field Values

### HORIZONTAL_PERCENT_AREA

    public static final int HORIZONTAL_PERCENT_AREA

  See Also:
    Constant Field Values

### VERTICAL_ABSOLUTE_LINE

    public static final int VERTICAL_ABSOLUTE_LINE

  See Also:
    Constant Field Values

### VERTICAL_STACKED_LINE

    public static final int VERTICAL_STACKED_LINE

  See Also:
    Constant Field Values

### VERTICAL_DUAL_AXIS_ABSOLUTE_LINE

    public static final int VERTICAL_DUAL_AXIS_ABSOLUTE_LINE

  See Also:
    Constant Field Values

### VERTICAL_DUAL_AXIS_STACKED_LINE

    public static final int VERTICAL_DUAL_AXIS_STACKED_LINE

  See Also:
    Constant Field Values

### VERTICAL_BI_POLAR_ABSOLUTE_LINE

    public static final int VERTICAL_BI_POLAR_ABSOLUTE_LINE

  See Also:
    Constant Field Values

### VERTICAL_BI_POLAR_STACKED_LINE

    public static final int VERTICAL_BI_POLAR_STACKED_LINE

  See Also:
    Constant Field Values

### VERTICAL_PERCENT_LINE

    public static final int VERTICAL_PERCENT_LINE

  See Also:
    Constant Field Values

### HORIZONTAL_ABSOLUTE_LINE

    public static final int HORIZONTAL_ABSOLUTE_LINE

  See Also:
    Constant Field Values

### HORIZONTAL_STACKED_LINE

    public static final int HORIZONTAL_STACKED_LINE

  See Also:
    Constant Field Values

### HORIZONTAL_DUAL_AXIS_ABSOLUTE_LINE

    public static final int HORIZONTAL_DUAL_AXIS_ABSOLUTE_LINE

  See Also:
    Constant Field Values

### HORIZONTAL_DUAL_AXIS_STACKED_LINE

    public static final int HORIZONTAL_DUAL_AXIS_STACKED_LINE

  See Also:
    Constant Field Values

### HORIZONTAL_BI_POLAR_ABSOLUTE_LINE

    public static final int HORIZONTAL_BI_POLAR_ABSOLUTE_LINE

  See Also:
    Constant Field Values

### HORIZONTAL_BI_POLAR_STACKED_LINE

    public static final int HORIZONTAL_BI_POLAR_STACKED_LINE

  See Also:
    Constant Field Values

### HORIZONTAL_PERCENT_LINE

    public static final int HORIZONTAL_PERCENT_LINE

  See Also:
    Constant Field Values

### PIE

    public static final int PIE

  See Also:
    Constant Field Values

### RING_PIE

    public static final int RING_PIE

  See Also:
    Constant Field Values

### MULTI_PIE

    public static final int MULTI_PIE

  See Also:
    Constant Field Values

### MULTI_RING_PIE

    public static final int MULTI_RING_PIE

  See Also:
    Constant Field Values

### MULTI_PROPORTIONAL_PIE

    public static final int MULTI_PROPORTIONAL_PIE

  See Also:
    Constant Field Values

### MULTI_PROPORTIONAL_RING_PIE

    public static final int MULTI_PROPORTIONAL_RING_PIE

  See Also:
    Constant Field Values

### PIE_BAR_CHART

    public static final int PIE_BAR_CHART

  See Also:
    Constant Field Values

### RING_PIE_BAR_CHART

    public static final int RING_PIE_BAR_CHART

  See Also:
    Constant Field Values

### XY_SCATTER

    public static final int XY_SCATTER

  See Also:
    Constant Field Values

### XY_SCATTER_DUAL_AXIS

    public static final int XY_SCATTER_DUAL_AXIS

  See Also:
    Constant Field Values

### XY_SCATTER_WITH_LABELS

    public static final int XY_SCATTER_WITH_LABELS

  See Also:
    Constant Field Values

### XY_SCATTER_WITH_LABELS_DUAL_AXIS

    public static final int XY_SCATTER_WITH_LABELS_DUAL_AXIS

  See Also:
    Constant Field Values

### POLAR

    public static final int POLAR

  See Also:
    Constant Field Values

### POLAR_DUAL_AXIS

    public static final int POLAR_DUAL_AXIS

  See Also:
    Constant Field Values

### RADAR_LINE

    public static final int RADAR_LINE

  See Also:
    Constant Field Values

### RADAR_AREA

    public static final int RADAR_AREA

  See Also:
    Constant Field Values

### RADAR_LINE_DUAL_AXIS

    public static final int RADAR_LINE_DUAL_AXIS

  See Also:
    Constant Field Values

### OPEN_HI_LO_CLOSE_CANDLE_STOCK_CHART

    public static final int OPEN_HI_LO_CLOSE_CANDLE_STOCK_CHART

  See Also:
    Constant Field Values

### OPEN_HI_LO_CLOSE_CANDLE_STOCK_CHART_VOLUME

    public static final int OPEN_HI_LO_CLOSE_CANDLE_STOCK_CHART_VOLUME

  See Also:
    Constant Field Values

### CANDLE_STOCK_HI_LO_OPEN_CLOSE

    public static final int CANDLE_STOCK_HI_LO_OPEN_CLOSE

  See Also:
    Constant Field Values

### STOCK_HI_LO

    public static final int STOCK_HI_LO

  See Also:
    Constant Field Values

### STOCK_HI_LO_DUAL_AXIS

    public static final int STOCK_HI_LO_DUAL_AXIS

  See Also:
    Constant Field Values

### STOCK_HI_LO_BI_POLAR

    public static final int STOCK_HI_LO_BI_POLAR

  See Also:
    Constant Field Values

### STOCK_HI_LO_CLOSE

    public static final int STOCK_HI_LO_CLOSE

  See Also:
    Constant Field Values

### STOCK_HI_LO_CLOSE_DUAL_AXIS

    public static final int STOCK_HI_LO_CLOSE_DUAL_AXIS

  See Also:
    Constant Field Values

### STOCK_HI_LO_OPEN_CLOSE

    public static final int STOCK_HI_LO_OPEN_CLOSE

  See Also:
    Constant Field Values

### STOCK_HI_LO_OPEN_CLOSE_DUAL_AXIS

    public static final int STOCK_HI_LO_OPEN_CLOSE_DUAL_AXIS

  See Also:
    Constant Field Values

### STOCK_HI_LO_OPEN_CLOSE_BI_POLAR

    public static final int STOCK_HI_LO_OPEN_CLOSE_BI_POLAR

  See Also:
    Constant Field Values

### STOCK_HI_LO_VOLUME

    public static final int STOCK_HI_LO_VOLUME

  See Also:
    Constant Field Values

### STOCK_HI_LO_OPEN_CLOSE_VOLUME

    public static final int STOCK_HI_LO_OPEN_CLOSE_VOLUME

  See Also:
    Constant Field Values

### CANDLE_STOCK_HI_LO_OPEN_CLOSE_VOLUME

    public static final int CANDLE_STOCK_HI_LO_OPEN_CLOSE_VOLUME

  See Also:
    Constant Field Values

### VERTICAL_HISTOGRAM

    public static final int VERTICAL_HISTOGRAM

  See Also:
    Constant Field Values

### HORIZONTAL_HISTOGRAM

    public static final int HORIZONTAL_HISTOGRAM

  See Also:
    Constant Field Values

### SPECTRAL_MAP

    public static final int SPECTRAL_MAP

  See Also:
    Constant Field Values

### BUBBLE_CHART

    public static final int BUBBLE_CHART

  See Also:
    Constant Field Values

### BUBBLE_CHART_LABELS

    public static final int BUBBLE_CHART_LABELS

  See Also:
    Constant Field Values

### BUBBLE_CHART_DUAL_AXIS

    public static final int BUBBLE_CHART_DUAL_AXIS

  See Also:
    Constant Field Values

### BUBBLE_CHART_LABELS_DUAL_AXIS

    public static final int BUBBLE_CHART_LABELS_DUAL_AXIS

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.